{
  "name": "javascript-development-environment",
  "version": "1.0.0",
  "description": "JavaScript development environment Pluralsight course by Cory House",
  "keywords": [
    "ecosystem:cordova"
  ],
  "scripts": {
    "precor-build": "cordova prepare",
    "cor-build": "babel webpack.config.dev.js -o webpack.config.dev.babel.js && cordova build -- --webpackConfig webpack.config.dev.babel.js",
    "cor-run": "cordova run -- -w webpack.config.dev.babel.js -l",
    "prestart": "babel-node buildScripts/startMessage.js",
    "start": "npm-run-all --parallel open:src lint:watch test:watch",
    "open:src": "babel-node buildScripts/srcServer.js",
    "lint": "esw webpack.config.* src buildScripts --color",
    "lint:watch": "npm run lint -- --watch",
    "localtunnel": "lt --port 3000",
    "share": "npm-run-all --parallel open:src localtunnel",
    "test": "mocha --reporter progress buildScripts/testSetup.js \"src/**/*.test.js\"",
    "test:watch": "npm run test -- --watch",
    "generate-mock-data": "babel-node buildScripts/generateMockData.js",
    "prestart-mockapi": "npm run generate-mock-data",
    "start-mockapi": "json-server --watch src/api/db.json --port 3001",
    "clean-dist": "rimraf ./dist && mkdir dist",
    "prebuild": "npm-run-all clean-dist test lint",
    "build": "babel-node buildScripts/build.js",
    "postbuild": "babel-node buildScripts/distServer.js",
    "deploy": "surge ./dist"
  },
  "author": "Cory House",
  "license": "MIT",
  "dependencies": {
    "@babel/node": "7.6.2",
    "@babel/polyfill": "7.6.0",
    "cordova-browser": "^6.0.0",
    "cordova-plugin-webpack": "^0.4.7",
    "phaser": "3.19.0"
  },
  "devDependencies": {
    "@babel/cli": "7.6.2",
    "@babel/core": "7.6.2",
    "@babel/plugin-proposal-object-rest-spread": "^7.6.2",
    "@babel/preset-env": "7.6.2",
    "@babel/register": "7.6.2",
    "babel-loader": "8.0.6",
    "chai": "4.2.0",
    "chalk": "2.4.2",
    "clean-webpack-plugin": "3.0.0",
    "copy-webpack-plugin": "5.0.4",
    "cordova-plugin-whitelist": "^1.3.4",
    "eslint": "6.4.0",
    "eslint-plugin-import": "2.18.2",
    "eslint-watch": "6.0.1",
    "express": "4.17.1",
    "file-loader": "4.2.0",
    "html-webpack-plugin": "3.2.0",
    "mocha": "6.2.0",
    "npm-run-all": "4.1.5",
    "open": "6.4.0",
    "path": "0.12.7",
    "raw-loader": "3.1.0",
    "webpack": "4.41.0",
    "webpack-cli": "3.3.9",
    "webpack-dev-middleware": "3.7.2",
    "webpack-md5-hash": "0.0.6"
  },
  "cordova": {
    "plugins": {
      "cordova-plugin-whitelist": {},
      "cordova-plugin-webpack": {}
    },
    "platforms": [
      "browser"
    ]
  }
}